libmspub::Color Struct Reference

`#include <MSPUBTypes.h>`

## Public Member Functions

| Color ()
| Color (unsigned char red, unsigned char green, unsigned char blue)

## Public Attributes

unsigned char | r
unsigned char | g
unsigned char | b

## Constructor & Destructor Documentation

## Color() [1/2]

libmspub::Color::Color | ( |  | ) |

inline

## Color() [2/2]

libmspub::Color::Color | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue )

inline

## Member Data Documentation

## b

unsigned char libmspub::Color::b

Referenced by Color(), Color(), libmspub::MSPUBCollector::getColorString(), libmspub::ColorReference::getFinalColor(), libmspub::PatternFill::getProperties(), libmspub::MSPUBCollector::paintShape(), libmspub::MSPUBParser2k::translate2kColorReference(), and libmspub::MSPUBCollector::writeImage().

## g

unsigned char libmspub::Color::g

Referenced by Color(), Color(), libmspub::MSPUBCollector::getColorString(), libmspub::ColorReference::getFinalColor(), libmspub::PatternFill::getProperties(), libmspub::MSPUBCollector::paintShape(), libmspub::MSPUBParser2k::translate2kColorReference(), and libmspub::MSPUBCollector::writeImage().

## r

unsigned char libmspub::Color::r

Referenced by Color(), Color(), libmspub::MSPUBCollector::getColorString(), libmspub::ColorReference::getFinalColor(), libmspub::PatternFill::getProperties(), libmspub::MSPUBCollector::paintShape(), libmspub::MSPUBParser2k::translate2kColorReference(), and libmspub::MSPUBCollector::writeImage().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h